## gnue-navigator-0.1.0.zip

=== po/Makefile ===
DOMAIN = gnue-navigator

#XGETTEXT = xgettext --language=Python
XGETTEXT = pygettext --keyword="u_"

POTFILE = $(DOMAIN).pot
POFILES = $(shell ls *.po)
GMOFILES = $(shell ls *.po | sed -e "s/\.po/\.gmo/")

.SUFFIXES:
.SUFFIXES: .po .gmo

gmo: $(GMOFILES)

update-po:
	rm -f STATISTICS
	cd ../src; $(XGETTEXT) --output=../po/$(POTFILE) `find * -name '*.py'`
	for i in $(POFILES); do msgmerge --output-file=$$i.tmp $$i $(POTFILE) && mv $$i.tmp $$i; done
	make gmo

%.gmo: %.po
	echo -n "$*: " >> STATISTICS
	(LANGUAGE=C msgfmt --statistics --output-file=$@ $*.po 2>&1) | grep translated >> STATISTICS

.PHONY: gmo update-po

=== packaging/debian/changelog ===
gnue-navigator (0.1.0-0) unstable; urgency=low

  * Unofficial Debian package

 -- GNU Enterprise Team <gnue-dev@gnu.org>  Sat, 26 Dec 2009 21:12:01 +0000

=== packaging/debian/control ===
Source: gnue-navigator
Section: interpreters
Priority: optional
Maintainer: Andrew Mitchell <ajmitch@gnu.org>
Build-Depends-Indep: debhelper (>= 4.1.25), cdbs (>= 0.4.43), python-all-dev, python-support (>= 0.5.3), gnue-common (>= 0.6.8)
Standards-Version: 3.6.1

Package: gnue-navigator
Architecture: all
Depends: ${python:Depends}, python-support (>= 0.5.3), gnue-common (>= 0.6.8)
Recommends: gnue-forms (>= 0.5.8), gnue-reports (>= 0.1.6)
Description: GNU Enterprise Navigator
 GNUe Navigator is a helper application for Forms and Reports. It takes
 an XML definition of menu items and the form or report associated with
 them, and turns it into a navigation form, to allow users to select and
 run a Form or Report.

=== packaging/debian/rules ===
#!/usr/bin/make -f
# Written by Jeff Bailey in 2003
# This Makefile is in the public domain

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_PYTHON_SYSTEM = pysupport

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

# We only want to see error messages in the output.
DEB_PYTHON_SETUP_CMD += --quiet

# Prevent build_scripts from adding Python version number to shebang-line
# (Either I don't understand something, or this is a point where CDDB doesn't
# conform to the Python policy).
DEB_PYTHON_BUILD_ARGS += --executable=/usr/bin/python
